Name: libselinux
Version: 1.34.15
Release: alt1
License: LGPL
Url: http://www.nsa.gov/selinux
Packager: Eugene Ostapets <eostapets@altlinux.ru>

Source: http://www.nsa.gov/selinux/archives/%name-%version.tgz
Patch: alt-libselinux-asneeded.patch
Summary: %name library, which provides an interface for security-aware applications.
Group: System/Libraries
# Automatically added by buildreq on Sun Mar 09 2008
BuildRequires: libsepol-devel python-dev swig

%description
SELinux shared libraries
This package provides the shared libraries for Security-enhanced
Linux. Security-enhanced Linux is a patch of the Linux kernel and a
number of utilities with enhanced security functionality designed to
add mandatory access controls to Linux.  The Security-enhanced Linux
kernel contains new architectural components originally developed to
improve the security of the Flask operating system. These
architectural components provide general support for the enforcement
of many kinds of mandatory access control policies, including those
based on the concepts of Type Enforcement, Role-based Access
Control, and Multi-level Security.

%package devel
Summary: Development files for %name
Group: Development/C++
Requires: %name = %version
%description devel
SELinux development headers
This package provides the  static libraries and header files
needed for developing SELinux applications.  Security-enhanced Linux
is a patch of the Linux kernel and a number of utilities with
enhanced security functionality designed to add mandatory access
controls to Linux.  The Security-enhanced Linux kernel contains new
architectural components originally developed to improve the security
of the Flask operating system. These architectural components provide
general support for the enforcement of many kinds of mandatory access
control policies, including those based on the concepts of Type
Enforcement, Role-based Access Control, and Multi-level Security.

%package utils
Summary: This package provides utility programs to get and set process and file security contexts and to obtain security policy decisions.
Group: System/Configuration/Other
%description utils
SELinux utility programs
This package provides various utility programs for a Security-enhanced
Linux system. Security-enhanced Linux is a patch of the Linux kernel
and a number of utilities with enhanced security functionality
designed to add mandatory access controls to Linux. This package
provides utility programs to get and set process and file security
contexts and to obtain security policy decisions.

%package -n python-module-selinux
Summary: Python module for %name
Group: System/Configuration/Other
%description -n python-module-selinux
Python bindings to SELinux shared libraries
This package provides the python bindings needed for developing python 
SELinux applications.  Security-enhanced Linux is a patch of the
Linux kernel and a number of utilities with enhanced security
functionality designed to add mandatory access controls to Linux.
The Security-enhanced Linux kernel contains new architectural
components originally developed to improve the security of the Flask
operating system. These architectural components provide general
support for the enforcement of many kinds of mandatory access control
policies, including those based on the concepts of Type Enforcement,
Role-based Access Control, and Multi-level Security.

%prep
%setup
%patch -p1

%build
export PYTHON_VERSION=%__python_version
%make_build pywrap

%install
%make DESTDIR=%buildroot install install-pywrap
%ifarch x86_64
mv %buildroot/lib %buildroot/lib64
mv %buildroot%_libexecdir %buildroot%_libdir
ln -sf ../../lib64/%name.so.1 %buildroot%_libdir/%name.so
%endif

%post -p %post_ldconfig

%postun -p %post_ldconfig


%files
%ifarch x86_64
/lib64/*.so.*
%else
/lib/*.so.*
%endif
%_man3dir/*
%_man8dir/*

%files devel
%_libdir/*.so
%exclude %_libdir/*.a
%_includedir/selinux

%files utils
%_sbindir/*

%files -n python-module-selinux
%python_sitelibdir/*

%changelog
* Sun Mar 09 2008 Eugene Ostapets <eostapets@altlinux.ru> 1.34.15-alt1
- Initial build
